### Hierarchy

- unknown
  - MarketAlertFilter

## Index

### Constructors

- constructor

### Methods

- addAlertIds
- clearAlertIdsList
- clearPaymentAccount
- getAlertIdsList
- getIsBuyOffer
- getPaymentAccount
- getTriggerValue
- hasPaymentAccount
- serializeBinary
- setAlertIdsList
- setIsBuyOffer
- setPaymentAccount
- setTriggerValue
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketAlertFilter(): MarketAlertFilter

- Inherited from jspb.Message.constructor

  #### Returns MarketAlertFilter

## Methods

### addAlertIds

- addAlertIds(value: string, index?: number): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8160

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns MarketAlertFilter

### clearAlertIdsList

- clearAlertIdsList(): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8159

  #### Returns MarketAlertFilter

### clearPaymentAccount

- clearPaymentAccount(): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8149

  #### Returns MarketAlertFilter

### getAlertIdsList

- getAlertIdsList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:8157

  #### Returns string[]

### getIsBuyOffer

- getIsBuyOffer(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:8154

  #### Returns boolean

### getPaymentAccount

- getPaymentAccount(): undefined | PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:8146

  #### Returns undefined | PaymentAccount

### getTriggerValue

- getTriggerValue(): number

- - Defined in src/protobuf/pb_pb.d.ts:8151

  #### Returns number

### hasPaymentAccount

- hasPaymentAccount(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:8148

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8162

  #### Returns Uint8Array

### setAlertIdsList

- setAlertIdsList(value: string[]): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8158

  #### Parameters

  - ##### value: string[]

  #### Returns MarketAlertFilter

### setIsBuyOffer

- setIsBuyOffer(value: boolean): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8155

  #### Parameters

  - ##### value: boolean

  #### Returns MarketAlertFilter

### setPaymentAccount

- setPaymentAccount(value?: PaymentAccount ): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8147

  #### Parameters

  - ##### Optional value: PaymentAccount

  #### Returns MarketAlertFilter

### setTriggerValue

- setTriggerValue(value: number): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8152

  #### Parameters

  - ##### value: number

  #### Returns MarketAlertFilter

### toObject

- toObject(includeInstance?: boolean): MarketAlertFilter . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8163

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketAlertFilter . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8166

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketAlertFilter

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketAlertFilter, reader: BinaryReader): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:8167

  #### Parameters

  - ##### message: MarketAlertFilter

  - ##### reader: BinaryReader

  #### Returns MarketAlertFilter

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketAlertFilter, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8165

  #### Parameters

  - ##### message: MarketAlertFilter

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketAlertFilter ): MarketAlertFilter . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8164

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketAlertFilter

  #### Returns MarketAlertFilter . AsObject

Generated using TypeDoc